Loading...
Loading...
https://merchant.paywize.inFetch bank account statements for UPI Collection via Connected Banking API.
Last updated: 2026-07-06
GET /api/v1/connected-banking/public/statement
Content-Type: application/json
Authorization: Bearer <jwt_token>
startDate = 2026-04-01
endDate = 2026-04-28
pageNumber = 1
numberOfTransactions = 2
{
"resp_code": 2000,
"resp_message": "Statement fetched successfully",
"data": "encrypted_base64_string_here"
}
{
"RsData": {
"ACCOUNT_DETAILS": [
{
"ForAcid": "12345678901",
"SolID": "9999",
"ClrBalAmt": "50019.00",
"TransactionCount": "15"
}
],
"TRANSACTION_DETAILS": [
{
"TranAmt": "10.00",
"TranId": "TXN10001",
"TranDate": "2026-04-27T00:00:00.000+00:00",
"TranParticular": "IMPS/TEST/000001/TEST_USER1/XX0001/TEST",
"PartTranType": "D",
"TranSubType": "CI",
"ValueDate": "2026-04-27T00:00:00.000+00:00",
"PstdDate": "2026-04-27T13:55:24.000+00:00"
},
{
"TranAmt": "1.00",
"TranId": "TXN10002",
"TranDate": "2026-04-27T00:00:00.000+00:00",
"TranParticular": "UPI/TEST/000002/TEST_USER2/XX0002/TEST",
"PartTranType": "C",
"TranSubType": "CI",
"ValueDate": "2026-04-27T00:00:00.000+00:00",
"PstdDate": "2026-04-27T01:44:33.000+00:00"
}
],
"BENEFICIARY_DETAILS": [
{
"IFSC": "TEST0000001",
"BeneficiaryAccountNumber": "XXXXXXXXXXX0001",
"BeneficiaryName": "Test User A",
"TransferType": "IMPS"
},
{
"IFSC": "TEST0000002",
"BeneficiaryAccountNumber": "XXXXXXXXXXX0002",
"BeneficiaryName": "Test User B",
"TransferType": "IMPS"
}
]
}
}
| Code | Message |
|---|---|
| 2000 | Statement fetched successfully |
| 4000 | Invalid startDate. Use YYYY-MM-DD with a valid calendar date. |
| 4000 | Invalid endDate. Use YYYY-MM-DD with a valid calendar date. |
| 4000 | endDate cannot be before startDate. |
| 4014 | Bad Request Exception |
| 4001 | Unauthorized access |
| 5000 | Internal server error |